$(document).ready(function(){
	$('#btnIssue').click(function(){
	    if($('#ddlCoupon').val()=='-1'){
	        alert('请选择要派发的优惠券');
	        return false;
	    }
		if($.trim($('#txtMemberName').val()) == '')
		{
            $('#txtMemberName').focus();
			alert('要派发的会员账号必填！');
			return false;
		}
		
	    var number=$.trim($('#txtNumber').val());
        var re = /^[0-9]*[1-9][0-9]*$/ ; 
        var result = TestRgexp(re,number);
        if(number==''){
	        $(this).focus();
		    alert('优惠券派发数量必填！');
            return false;

        }
	    else if(!result){
	        $(this).focus();
		    alert('请正确填写优惠券派发数量！');
            return false;
	    }
	    
	    var validity=$.trim($('#txtValidity').val());
	    result = TestRgexp(re,validity);
        if(validity==''){
	        $(this).focus();
		    alert('优惠券有效期必填！');
            return false;

        }
	    else if(!result){
	        $(this).focus();
		    alert('请正确填写优惠券有效期！');
            return false;
	    }
	    
		if($.trim($('#txtSendReason').val())==''){
            $('#txtSendReason').focus();
			alert('优惠券派发理由必填！');
			return false;
		}
	});
});

function TestRgexp(re, s){ // 参数说明 re 为正则表达式 s 为要判断的字符 
    return re.test(s) 
}